library("spatrisk")
library("foreign")
library("fOptions")



setwd("d:/temp")
rnorm.sobol(1,1)
set.seed(123)

#Table 1#
cumi<-read.dta("cumdata.dta")
#bartreg#
res.cum<- bartreg(cumi[,1],cumi[,2:dim(cumi)[2]], issues=3,controls=9,print.level=2,iterlim = 400 )
#unconstrained alpha#
res.cum<- spatialrisk(cumi[,1],cumi[,2:dim(cumi)[2]], issues=3,controls=9,integrationSampleSize=500,riskvar=FALSE,print.level=2,iterlim = 400,link="probit",priors=c(1,0.1,0,100,100,100) )


#Table 3#
#1972 RUNS#
d72<-read.dta("72runs.dta")
res72 <- spatialrisk(d72[,1],d72[,2:dim(d72)[2]], issues=3,controls=4,integrationSampleSize=1000,riskvar=TRUE,print.level=2,iterlim = 200 )
